Bug 1449846 - bad error message when adding playbook catalog item while embedded ansible is disabled
Summary: bad error message when adding playbook catalog item while embedded ansible is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Drew Bomhof
QA Contact: luke couzens
URL:
Whiteboard: ansible_embed:playbook:catalog
Depends On: 1448186
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 21:33 UTC by Satoe Imaishi
Modified: 2017-05-31 15:11 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1448186
Environment:
Last Closed: 2017-05-31 15:11:57 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-10 21:41:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/262fb8c7c05eb692da6f6a127d3587e8b231b8e8

commit 262fb8c7c05eb692da6f6a127d3587e8b231b8e8
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed May 10 15:16:20 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 17:36:33 2017 -0400

    Merge pull request #15045 from syncrou/override_embedded_provider_connection
    
    Check that the Embedded Ansible role is on
    (cherry picked from commit dcf61f46181adf1dacc1e5e3eff2af4aa4a88240)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449846

 .../manageiq/providers/embedded_ansible/provider.rb     | 10 ++++++++++
 .../automation_manager/configuration_script_spec.rb     |  4 ++++
 .../automation_manager/credential_spec.rb               |  4 ++++
 .../refresher_configuration_script_source_spec.rb       |  4 ++++
 .../automation_manager/refresher_spec.rb                |  4 ++++
 .../automation_manager/refresher_v2_spec.rb             |  4 ++++
 .../providers/embedded_ansible/provider_spec.rb         | 17 +++++++++++++++++
 spec/support/evm_spec_helper.rb                         |  6 ++++++
 8 files changed, 53 insertions(+)

Comment 3 luke couzens 2017-05-18 08:44:44 UTC
Verified in 5.8.0.15

Comment 5 errata-xmlrpc 2017-05-31 15:11:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.